from haslib.crystal_class import Crystal
from haslib.science_basics import (A,meV,m_He4)
from haslib.morse import Morse
import math
import pytest

@pytest.fixture
def crystal():
    return Crystal(1*A,1*A,120)


def test_init(crystal):
    h = 1
    xi = 2
    D = 3
    morse = Morse(crystal,h,xi,D)
    assert morse.h == h
    assert morse.xi == xi
    assert morse.D == D
    assert morse.a == crystal.a1[0]



